Skip to main content

Instance Organizations Actions

https://api.losant.com/instances/INSTANCE_ID/orgs

Below are the various requests that can be performed against the Instance Organizations resource, as well as the expected parameters and the potential responses.

Get​

Returns the organizations associated with the current instance

Method And Url​

GET https://api.losant.com/instances/INSTANCE_ID/orgs

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Instance, all.Instance.bounded, all.Instance.read, all.User, all.User.bounded, all.User.read, instanceOrgs.*, or instanceOrgs.get.

Request Path Components​

Path ComponentDescriptionExample
INSTANCE_IDID associated with the instance575ec8687ae143cd83dc4a97

Request Query Parameters​

NameRequiredDescriptionDefaultExample
sortFieldNField to sort the results by. Accepted values are: name, id, creationDate, lastUpdatednamesortField=name
sortDirectionNDirection to sort the results by. Accepted values are: asc, descascsortDirection=asc
pageNWhich page of results to return0page=0
perPageNHow many items to return per page100perPage=10
filterFieldNField to filter the results by. Blank or not provided means no filtering. Accepted values are: namefilterField=name
filterNFilter to apply against the filtered field. Supports globbing. Blank or not provided means no filtering.filter=my*org
summaryIncludeNComma-separated list of summary fields to include in org summarysummaryInclude=payloadCount
queryNOrganization filter JSON object which overrides all other filter params. See Advanced Instance Organization Query for more details.query={"name":"Bob's Org","lastUpdated":"2022-01-30T17:18:11.911Z"}

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/instances/INSTANCE_ID/orgs

Successful Responses​

CodeTypeDescription
200Instance OrganizationsA collection of organizations

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Post​

Create a new organization

Method And Url​

POST https://api.losant.com/instances/INSTANCE_ID/orgs

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Instance, all.Instance.bounded, all.User, all.User.bounded, instanceOrgs.*, or instanceOrgs.post.

Request Path Components​

Path ComponentDescriptionExample
INSTANCE_IDID associated with the instance575ec8687ae143cd83dc4a97

Request Query Parameters​

NameRequiredDescriptionDefaultExample
summaryIncludeNComma-separated list of summary fields to include in org summarysummaryInclude=payloadCount

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Instance Owned Organization Post schema. For example, the following would be a valid body for this request:

{
"name": "My Org",
"limits": {
"member": 500
},
"auditLogEnabled": true
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
https://api.losant.com/instances/INSTANCE_ID/orgs

Successful Responses​

CodeTypeDescription
201Instance OrganizationThe newly created organization

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Schemas​

Advanced Instance Organization Query​

Schema for advanced instance organization queries

Advanced Instance Organization Query Schema​

  • ▶
    {} 4 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 14 keys
      • ▶
        {} 3 keys
        • ▶
          {} 3 keys
          • ▶
            {} 3 keys
            • ▶
              {} 1 key
              • ▶
                {} 1 key
                • ▶
                  {} 1 key
                  • ▶
                    {} 1 key
                    • ▶
                      {} 1 key
                      • ▶
                        {} 1 key
                        • ▶
                          {} 1 key
                          • ▶
                            {} 1 key
                            • ▶
                              {} 1 key
                              • ▶
                                {} 1 key
                                • ▶
                                  {} 1 key
                                • false

                              Advanced Instance Organization Query Example​

                              • ▶
                                {} 2 keys
                                • "Bob's Org"
                                • "2022-01-30T17:18:11.911Z"

                              Error​

                              Schema for errors returned by the API

                              Error Schema​

                              • ▶
                                {} 3 keys
                                • "http://json-schema.org/draft-07/schema#"
                                • "object"
                                • ▶
                                  {} 3 keys
                                  • ▶
                                    {} 1 key
                                    • ▶
                                      {} 1 key
                                      • ▶
                                        {} 2 keys

                                    Error Example​

                                    • ▶
                                      {} 2 keys
                                      • "NotFound"
                                      • "Application was not found"

                                    Instance Organization​

                                    Schema for an Organization owned by an instance

                                    Instance Organization Schema​

                                    • ▶
                                      {} 5 keys
                                      • "http://json-schema.org/draft-07/schema#"
                                      • "object"
                                      • ▶
                                        {} 25 keys
                                        • ▶
                                          {} 2 keys
                                          • ▶
                                            {} 2 keys
                                            • ▶
                                              {} 3 keys
                                              • ▶
                                                {} 2 keys
                                                • ▶
                                                  {} 2 keys
                                                  • ▶
                                                    {} 2 keys
                                                    • ▶
                                                      {} 2 keys
                                                      • ▶
                                                        {} 2 keys
                                                        • ▶
                                                          {} 3 keys
                                                          • ▶
                                                            {} 2 keys
                                                            • ▶
                                                              {} 2 keys
                                                              • ▶
                                                                {} 1 key
                                                                • ▶
                                                                  {} 1 key
                                                                  • ▶
                                                                    {} 1 key
                                                                    • ▶
                                                                      {} 3 keys
                                                                      • ▶
                                                                        {} 2 keys
                                                                        • ▶
                                                                          {} 2 keys
                                                                          • ▶
                                                                            {} 3 keys
                                                                            • ▶
                                                                              {} 2 keys
                                                                              • ▶
                                                                                {} 2 keys
                                                                                • ▶
                                                                                  {} 2 keys
                                                                                  • ▶
                                                                                    {} 3 keys
                                                                                    • ▶
                                                                                      {} 2 keys
                                                                                      • ▶
                                                                                        {} 2 keys
                                                                                        • ▶
                                                                                          {} 2 keys
                                                                                        • false
                                                                                        • ▶
                                                                                          [] 1 item

                                                                                        Instance Organization Example​

                                                                                        • ▶
                                                                                          {} 19 keys
                                                                                          • "2022-10-26T19:27:42.736Z"
                                                                                          • "2024-10-24T17:04:32.009Z"
                                                                                          • "My Org"
                                                                                          • "60106426dc03c6aad06540bb"
                                                                                          • "60106426dc03c6aad06540bb"
                                                                                          • "60106426dc03c6aad06560ba"
                                                                                          • "My Org Description"
                                                                                          • "#057180"
                                                                                          • ▶
                                                                                            {} 34 keys
                                                                                            • ▶
                                                                                              {} 28 keys
                                                                                              • [] 0 items
                                                                                                • false
                                                                                                • false
                                                                                                • false
                                                                                                • ▶
                                                                                                  [] 1 item
                                                                                                  • "notRequired"
                                                                                                  • ▶
                                                                                                    {} 2 keys
                                                                                                    • "2023-01-01T00:00:00.000Z"
                                                                                                    • "2023-01-31T11:59:59.999Z"

                                                                                                  Instance Owned Organization Post​

                                                                                                  Schema for the body of an Organization creation request within an instance

                                                                                                  Instance Owned Organization Post Schema​

                                                                                                  • ▶
                                                                                                    {} 5 keys
                                                                                                    • "http://json-schema.org/draft-07/schema#"
                                                                                                    • "object"
                                                                                                    • ▶
                                                                                                      {} 13 keys
                                                                                                      • ▶
                                                                                                        {} 3 keys
                                                                                                        • ▶
                                                                                                          {} 2 keys
                                                                                                          • ▶
                                                                                                            {} 2 keys
                                                                                                            • ▶
                                                                                                              {} 3 keys
                                                                                                              • ▶
                                                                                                                {} 3 keys
                                                                                                                • ▶
                                                                                                                  {} 2 keys
                                                                                                                  • ▶
                                                                                                                    {} 1 key
                                                                                                                    • ▶
                                                                                                                      {} 1 key
                                                                                                                      • ▶
                                                                                                                        {} 1 key
                                                                                                                        • ▶
                                                                                                                          {} 3 keys
                                                                                                                          • ▶
                                                                                                                            {} 2 keys
                                                                                                                            • ▶
                                                                                                                              {} 2 keys
                                                                                                                              • ▶
                                                                                                                                {} 3 keys
                                                                                                                              • false
                                                                                                                              • ▶
                                                                                                                                [] 1 item

                                                                                                                              Instance Owned Organization Post Example​

                                                                                                                              • ▶
                                                                                                                                {} 3 keys
                                                                                                                                • "My Org"
                                                                                                                                • ▶
                                                                                                                                  {} 1 key
                                                                                                                                  • true

                                                                                                                                Instance Organizations​

                                                                                                                                Schema for a collection of Organizations within an instance

                                                                                                                                Instance Organizations Schema​

                                                                                                                                • ▶
                                                                                                                                  {} 3 keys
                                                                                                                                  • "http://json-schema.org/draft-07/schema#"
                                                                                                                                  • "object"
                                                                                                                                  • ▶
                                                                                                                                    {} 10 keys
                                                                                                                                    • ▶
                                                                                                                                      {} 2 keys
                                                                                                                                      • ▶
                                                                                                                                        {} 2 keys
                                                                                                                                        • ▶
                                                                                                                                          {} 1 key
                                                                                                                                          • ▶
                                                                                                                                            {} 1 key
                                                                                                                                            • ▶
                                                                                                                                              {} 1 key
                                                                                                                                              • ▶
                                                                                                                                                {} 1 key
                                                                                                                                                • ▶
                                                                                                                                                  {} 1 key
                                                                                                                                                  • ▶
                                                                                                                                                    {} 1 key
                                                                                                                                                    • ▶
                                                                                                                                                      {} 1 key
                                                                                                                                                      • ▶
                                                                                                                                                        {} 2 keys

                                                                                                                                                    Instance Organizations Example​

                                                                                                                                                    • ▶
                                                                                                                                                      {} 7 keys
                                                                                                                                                      • ▶
                                                                                                                                                        [] 1 item
                                                                                                                                                        • 1
                                                                                                                                                        • 2
                                                                                                                                                        • 1
                                                                                                                                                        • 0
                                                                                                                                                        • "name"
                                                                                                                                                        • "asc"

                                                                                                                                                      Was this page helpful?


                                                                                                                                                      Still looking for help? You can also search the Losant Forums or submit your question there.